///////////////////////////////////////////////////////////////////////////////
//
//  Filename: CoordTrans.h
//  Author: Wang, Yi
//  Last modified: 2004-1-14 19:24
//
///////////////////////////////////////////////////////////////////////////////

#ifndef CoordTransH
#define CoordTransH

#include "BCommon.h"

class CoordTrans
{
	public:
	CoordTrans(double width, double height);
	void SetViewSize(double width, double height);
	double Scale(double rate);
	double Scale(double rate, double xc, double yc);
	void Move(double dx, double dy);
	void MoveTo(double dx, double dy);
	void Map(double x1, double y1, double &x2, double &y2);
	void Map(tagVect &v1, tagVect &v2);
	void Map(tagCircle &c1, tagCircle &c2);
	void Map(tagArc &arc1, tagArc &arc2);
	void MapRev(double x1, double y1, double &x2, double &y2);
	void MapRev(tagVect &v1, tagVect &v2);
// data
	double sc, x0, y0, wd, ht;
};

#endif


